# Google Cloud Storage Transfer V1 Client - Class ListTransferJobsRequest (2.4.0)

2.4.0 (latest) 2.3.2 2.2.1 2.1.1 2.0.2 1.5.0 1.4.5 1.3.1 1.2.0 1.1.1 1.0.6 Reference documentation and code samples for the Google Cloud Storage Transfer V1 Client class ListTransferJobsRequest.

`projectId`, `jobNames`, and `jobStatuses` are query parameters that can
be specified when listing transfer jobs.

Generated from protobuf message `google.storagetransfer.v1.ListTransferJobsRequest`

## Namespace

Google \\ Cloud \\ StorageTransfer \\ V1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ filter` | `string` Required. A list of query parameters specified as JSON text in the form of: `{ "projectId":"my_project_id", "jobNames":["jobid1","jobid2",...], "jobStatuses":["status1","status2",...], "dataBackend":"QUERY_REPLICATION_CONFIGS", "sourceBucket":"source-bucket-name", "sinkBucket":"sink-bucket-name", }` The JSON formatting in the example is for display only; provide the query parameters without spaces or line breaks. \* \* `projectId` is required. \* \* Since `jobNames` and `jobStatuses` support multiple values, their values must be specified with array notation. `jobNames` and `jobStatuses` are optional. Valid values are case-insensitive: \* \* [ENABLED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__ENABLED) \* \* [DISABLED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__DISABLED) \* \* [DELETED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__DELETED) \* \* Specify `"dataBackend":"QUERY_REPLICATION_CONFIGS"` to return a list of cross-bucket replication jobs. \* \* Limit the results to jobs from a particular bucket with `sourceBucket` and/or to a particular bucket with `sinkBucket`. |
| `↳ page_size` | `int` The list page size. The max allowed value is 256. |
| `↳ page_token` | `string` The list page token. |

### getFilter

Required. A list of query parameters specified as JSON text in the form of:

    {
      "projectId":"my_project_id",
      "jobNames":["jobid1","jobid2",...],
      "jobStatuses":["status1","status2",...],
      "dataBackend":"QUERY_REPLICATION_CONFIGS",
      "sourceBucket":"source-bucket-name",
      "sinkBucket":"sink-bucket-name",
    }

The JSON formatting in the example is for display only; provide the
query parameters without spaces or line breaks.

- `projectId` is required.
- Since `jobNames` and `jobStatuses` support multiple values, their values must be specified with array notation. `jobNames` and `jobStatuses` are optional. Valid values are case-insensitive:
  - [ENABLED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__ENABLED)
  - [DISABLED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__DISABLED)
  - [DELETED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__DELETED)
- Specify `"dataBackend":"QUERY_REPLICATION_CONFIGS"` to return a list of cross-bucket replication jobs.
- Limit the results to jobs from a particular bucket with `sourceBucket` and/or to a particular bucket with `sinkBucket`.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setFilter

Required. A list of query parameters specified as JSON text in the form of:

    {
      "projectId":"my_project_id",
      "jobNames":["jobid1","jobid2",...],
      "jobStatuses":["status1","status2",...],
      "dataBackend":"QUERY_REPLICATION_CONFIGS",
      "sourceBucket":"source-bucket-name",
      "sinkBucket":"sink-bucket-name",
    }

The JSON formatting in the example is for display only; provide the
query parameters without spaces or line breaks.

- `projectId` is required.
- Since `jobNames` and `jobStatuses` support multiple values, their values must be specified with array notation. `jobNames` and `jobStatuses` are optional. Valid values are case-insensitive:
  - [ENABLED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__ENABLED)
  - [DISABLED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__DISABLED)
  - [DELETED](https://docs.cloud.google.com/php/docs/reference/cloud-storage-transfer/latest/V1.TransferJob.Status#_Google_Cloud_StorageTransfer_V1_TransferJob_Status__DELETED)
- Specify `"dataBackend":"QUERY_REPLICATION_CONFIGS"` to return a list of cross-bucket replication jobs.
- Limit the results to jobs from a particular bucket with `sourceBucket` and/or to a particular bucket with `sinkBucket`.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getPageSize

The list page size. The max allowed value is 256.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `int` |   |

### setPageSize

The list page size. The max allowed value is 256.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `int` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getPageToken

The list page token.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setPageToken

The list page token.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |